#! /bin/sh

if [ "$1" == "" ]; then
    exit 1
fi

echo " Executing mount /dev/$1 to /media/$1, action=$ACTION" > /dev/console

mounted=`mount | grep $1 | wc -l | awk '{print $1}'`

 if [ "$ACTION" == "" ]; then
    mounted=0
 fi

 # mounted, assume we umount
 if [ $mounted -ge 1 ]; then
    if ! umount -f -l "/media/$1"; then
        sleep 0.5
        if ! umount -f -l "/media/$1"; then
          exit 1
        fi
        exit 1
    fi

    if ! rm -rf "/media/$1"; then
        sleep 0.5
        if ! rm -rf "/media/$1"; then
          exit 1
        fi
        exit 1
    fi
 # not mounted, lets mount under /media
 else
    if ! mkdir -p "/media/$1"; then
        exit 1
    fi

    if ! mount -t vfat "/dev/$1" "/media/$1"; then

      # When fail mount usb storage try one more
      sleep 0.5
      if mount -t vfat /dev/$1 /media/$1; then
#        echo "Try one more mount. /dev/$1" > /dev/console
        ls /media/$1 > /dev/console 
        exit 1
      fi
      
      # echo "Fail to mount /dev/$1, Try again" > /dev/console
      # failed to mount, clean up mountpoint
      if ! rmdir "/media/$1"; then
        exit 1
      fi
      exit 1
    fi

    ls /media/$1 > /dev/console
 fi

exit 0


