#!/bin/sh

####################################################
# Sample TIMEZONE
# TIMEZONE="(GMT +09:00) Asia/Seoul"
# TIMEZONE="(GMT +09:00) Asia/Tokyo"
# TIMEZONE="(GMT +08:00) Asia/Macao"
#
# Sample SERVER
# SERVER="europe.pool.ntp.org"
# SERVER="us.pool.ntp.org"
# SERVER="jp.pool.ntp.org"
# SERVER="pool.ntp.org"
# SERVER="oceania.pool.ntp.org"
####################################################

func_property() {

#  MODE=`property_get Time Mode`
#  if [ -z $MODE ] || [ $MODE = null ];then
#    MODE=MANUAL
#  fi

  TIMEZONE=`property_get Time Timezone`
  if [ -z "$TIMEZONE" ] || [ "$TIMEZONE" = null ] || [ "$TIMEZONE" = error ];then
    TIMEZONE="(GMT +09:00) Asia/Seoul"
  fi

  SERVER=`property_get NTP Server`
   if [ -z "$SERVER" ] || [ "$SERVER" = null ] || [ "$SERVER" = error ];then
    SERVER="asia.pool.ntp.org"
  fi
}

func_timezone() {
  LC=`echo $TIMEZONE | awk '{print $3}'`
  rm /etc/localtime
  ln -sf /usr/share/zoneinfo/$LC /etc/localtime
  TIMEZONE_OLD=$TIMEZONE
#  echo "A new time zone is set."
}

func_systemtime() {
  ntpd -q -p $SERVER
  hwclock -u --systohc
#  echo "A new time has been set."
}

func_property

func_timezone

while [ 1 ]
do
    if [ "$TIMEZONE_OLD" != "$TIMEZONE" ];then
      func_timezone
    fi

    func_systemtime

    sleep 60
    func_property
done

