#! /bin/sh

function restore_package()
{
    if [ -s /opt/rsupport/rvbox/backup ] &&
       [ -s /opt/rsupport/rvbox/backup/install-agent.sh ] &&
       [ -s /opt/rsupport/rvbox/backup/.information-agent.gz ] &&
       [ -s /opt/rsupport/rvbox/backup/RemoteViewBox-agent-1.2.0.01.tar.gz ] &&
       [ -s /opt/rsupport/rvbox/backup/install-web.sh ] &&
       [ -s /opt/rsupport/rvbox/backup/.information-web.gz ] &&
       [ -s /opt/rsupport/rvbox/backup/RemoteViewBox-web-1.2.0.01.tar.gz ]
    then
        # No such File or Directory || file size 0
        echo "start agent restore"
        cd /opt/rsupport/rvbox/backup
        chmod 755 install-agent.sh
        ./install-agent.sh -m

        echo "agent restore done"

        # No such File or Directory || file size 0
        echo "start web restore"
        cd /opt/rsupport/rvbox/backup
        chmod 755 install-web.sh
        ./install-web.sh -m

        echo "web restore done"
        reboot
    fi
}

# agent

AgentFile="/opt/rsupport/rvbox/agent/latest/agent"
ControllerFile="/opt/rsupport/rvbox/agent/latest/controller"
UpdaterFile="/opt/rsupport/rvbox/agent/latest/updater"
AgentConfFile="/etc/rsupport/rvbox/agent/agent.conf"
ControlConfFile="/etc/rsupport/rvbox/agent/control.conf"
LibCprFile="/opt/rsupport/rvbox/agent/latest/lib/libcpr.so"
LibCurlFile="/opt/rsupport/rvbox/agent/latest/lib/libcurl.so"
LibTinyXmlFile="/opt/rsupport/rvbox/agent/latest/lib/libtinyxml2.so.7.0.1"
LibRspXAuthFile="/opt/rsupport/rvbox/agent/latest/lib/librspxauth.so"
LibCryptoFile="/opt/rsupport/rvbox/agent/latest/lib/libcrypto.so"
LibSslFile="/opt/rsupport/rvbox/agent/latest/lib/libssl.so"
LibXEncFile="/opt/rsupport/rvbox/agent/latest/lib/libxenc.so"
LibLispaceFile="/opt/rsupport/rvbox/agent/latest/lib/liblispace.so"
LibVideoSystemFile="/opt/rsupport/rvbox/agent/latest/lib/libvideo_system.so"
LibPropertyFile="/opt/rsupport/rvbox/agent/latest/lib/libproperty.so"

# web
LighttpdFile="/opt/rsupport/rvbox/web/latest/lighttpd"
HelloFcgiFile="/opt/rsupport/rvbox/web/latest/cgi-bin/hello.fcgi"
AccountFcgiFile="/opt/rsupport/rvbox/web/latest/cgi-bin/account.fcgi"
NetworkFcgiFile="/opt/rsupport/rvbox/web/latest/cgi-bin/network.fcgi"
DeviceFcgiFile="/opt/rsupport/rvbox/web/latest/cgi-bin/device.fcgi"
LogFcgiFile="/opt/rsupport/rvbox/web/latest/cgi-bin/log.fcgi"
MsgFcgiFile="/opt/rsupport/rvbox/web/latest/cgi-bin/msg.fcgi"
AppShFile="/etc/init.d/app.sh"
NetworkShFile="/etc/init.d/network.sh"
LighttpdConfFile="/etc/rsupport/rvbox/web/lighttpd.conf"
WebConfFile="/etc/rsupport/rvbox/web/web.conf"

if [ -s "$AgentFile" ] && [ -s "$ControllerFile" ] &&
   [ -s "$UpdaterFile" ] && [ -s "$AgentConfFile" ] &&
   [ -s "$ControlConfFile" ] && [ -s "$LibCprFile" ] &&
   [ -s "$LibCurlFile" ] && [ -s "$LibTinyXmlFile" ] &&
   [ -s "$LibRspXAuthFile" ] && [ -s "$LibCryptoFile" ] &&
   [ -s "$LibSslFile" ] && [ -s "$LibXEncFile" ] &&
   [ -s "$LibLispaceFile" ] && [ -s "$LibVideoSystemFile" ] &&
   [ -s "$LibPropertyFile" ]
then
    echo "skip agent restore"
else
    restore_package
    return
fi

if [ -s "$LighttpdFile" ] && [ -s "$HelloFcgiFile" ] &&
   [ -s "$AccountFcgiFile" ] && [ -s "$NetworkFcgiFile" ] &&
   [ -s "$DeviceFcgiFile" ] && [ -s "$LogFcgiFile" ] &&
   [ -s "$MsgFcgiFile" ] && [ -s "$AppShFile" ] &&
   [ -s "$NetworkShFile" ] && [ -s "$LighttpdConfFile" ] &&
   [ -s "$WebConfFile" ]
then
   echo "skip web restore"
else
   restore_package
   return
fi
